<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@01AC=99</action>
    </script>
  </cheat>

  <cheat desc="Invincibility"> <comment>You die though when you fall into the sea if in robot mode</comment>
    <script state="on">
      <action>temp0 =maincpu.mb@B2F8</action>
      <action>temp1 =maincpu.md@CD98</action>
      <action>temp2 =maincpu.mb@D0B2</action>
    </script>
    <script state="run">
      <action>maincpu.mb@B2F8=39</action>
      <action>maincpu.md@CD98=16018800|(maincpu.md@CD98 BAND ~FFFFFF00)</action> <!-- 1st = Object, 2nd = Scenery (Ground in fighter mode) -->
      <action>maincpu.mb@D0B2=20</action> <!-- 3rd = Scenery (Sea in fighter mode) -->
    </script>
    <script state="off">
      <action>maincpu.mb@B2F8=temp0 </action>
      <action>maincpu.md@CD98=temp1 </action>
      <action>maincpu.mb@D0B2=temp2 </action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire"> <comment>Can't fire the super shot, which is needed to break bosses. So it's better to turn Rapid Fire OFF in the boss area.</comment>
    <script state="run">
      <action>maincpu.pb@003A=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@0224=05</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@0225=05</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
